%global maj 0

Summary:    A C library for serializing LV2 atoms to and from RDF
Name:       sratom
Version:    0.6.14
Release:    3%{?dist}
License:    MIT
URL:        http://drobilla.net/software/%{name}.html
Source0:    http://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires:  gcc meson python3 graphviz
BuildRequires:  sord-devel serd-devel lv2-devel
# For docs. python3-sphinx_lv2_theme is absent.
# BuildRequires:  python3 python3-sphinx python3-sphinx_lv2_theme doxygen

%description
Sratom is a small library for serializing LV2 atoms. Sratom reads/writes atoms
from/to RDF, allowing them to be converted between binary and text or stored in a model.


%package devel
Summary:    Development libraries and headers for %{name}
Requires:   %{name} = %{version}-%{release}


%description devel
This package contains the headers and development libraries for %{name}.


%prep
%autosetup -p1


%build
%meson -D docs=disabled
%meson_build


%install
%meson_install


%check
%meson_test


%files
%license COPYING
%{_libdir}/lib%{name}-%{maj}.so.*


%files devel
%{_libdir}/lib%{name}-%{maj}.so
%{_libdir}/pkgconfig/%{name}-%{maj}.pc
%{_includedir}/%{name}-%{maj}/


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.14-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.14-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 rockerzhu <tencent@tencent.com> - 0.6.14-1
- Initial build.
